@import url('https://fonts.googleapis.com/css?family=Lato:300,400,700&display=swap');
@import url('https://fonts.googleapis.com/css?family=Montserrat:400,700&display=swap');
@import url('https://fonts.googleapis.com/css?family=Oswald:700&display=swap');

@import 'normalize.scss';

:root {
    // --primary: #9bcb6c;
    --primary: #a4cf92;
    --dark: #1d1e21;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: 'Montserrat', sans-serif;
}


h2 {
    font-size: 32px;
}

a {
    color: inherit;
    text-decoration: inherit;
}

a.button {
    display: inline-block;
    color: var(--primary);
    padding: 15px 18px;
    border: 2px solid;
    border-radius: 50px;

    font-size: 17px;
    font-weight: bold;

    text-decoration: none;
    transition: letter-spacing 200ms;

    &:hover {
        letter-spacing: 0.5px;
    }
}

body {
    margin: 0;
    font-family: 'Lato', sans-serif;
    font-size: 16px;

    @media (max-width: 640px) {
        font-size: 16px;
    }
}

p {
    font-weight: 300;
    letter-spacing: 0.8px;
    line-height: 24px;
    line-height: 1.5em;
    color: #1d1e21;
}

header {
    --offset: 70px;
    height: 100vh;
    margin-bottom: var(--offset);
    background-image: url("../img/cover.jpg");
    background-size: cover;
    background-position: center;

    display: flex;
    flex-flow: column nowrap;
    justify-content: space-between;
    align-items: center;



    #logo {
        background: #3c3c3c;
        padding: 30px 25px;
    }

    .title {
        width: 100%;
        max-width: 715px;
        box-sizing: border-box;

        color: #fff;
        background: #3c3c3c;
        padding: 30px 40px;
        text-align: center;
        transform: translateY(var(--offset));


    }

    h1 {
        font-size: 51px;
    }

    h2 {
        font-size: 24px;
        font-weight: 400;
    }
}

footer {
    background: #121212;
    padding: 24px 0;

    text-align: center;

    p {
        margin: 0;
        color: #eee;
    }
}

main {
    display: flex;
    flex-flow: column nowrap;
    justify-content: flex-start;
    align-items: center;
}

section {
    width: 100%;
    box-sizing: border-box;

    padding: 0 40px;
}

section h2 {
    text-align: center;
}

#greeting {
    max-width: 1100px;
    margin-top: 95px;
    display: grid;
    grid-template-columns: 40% 1fr;
    grid-gap: 30px 60px;

    h2 {
        font-size: 50px;
        margin: 25px 0 20px;
        text-align: left;
        order: 2;
    }

    h4 {
        font-size: 19px;
        margin: 0;
        order: 3;
    }

    picture {
        width: 100%;
        grid-row: span 3;
        order: 1;
    }

    img {
        display: block;
        width: 100%;
        height: 100%;
        object-fit: cover;
        object-position: center;
    }

    div {
        order: 4;
    }

    @media (max-width: 800px) {
        grid-template-columns: 1fr;

        picture {
            order: 4;
            height: 400px;
        }
    }
}

#about {
    display: flex;
    flex-flow: column nowrap;
    justify-content: flex-start;
    align-items: center;
    padding: 60px 0 0;

    .button {
        margin-bottom: 50px;
        color: #5e6a45;
    }

    .row {
        width: 100%;
        display: flex;
        flex-flow: row nowrap;
        justify-content: space-between;
        align-items: center;

        @media(max-width: 980px) {
            flex-flow: column nowrap;
            align-items: stretch;
        }
    }

    .item {
        width: 100%;
        box-sizing: border-box;
        flex-grow: 1;
        padding: 100px 40px;

        display: flex;
        flex-flow: row nowrap;
        justify-content: center;
        align-items: center;


        .num {
            color: #3c3c3c;
            position: relative;
        }

        &:nth-child(1) {
            background: #5e6a45;
        }

        &:nth-child(2) {
            background: #DE935D;
        }

        &:nth-child(3) {
            background: #b0454d;
        }
    }

    .num {
        margin: 0;
        font-family: Oswald, Lato, sans-serif;
        font-size: 175px;
        line-height: 1em;
        letter-spacing: 3.52px;
        margin-right: 60px;
    }

    .text {
        width: 150%;
        max-width: 210px;
        position: absolute;
        top: 50%;
        margin: 0;
        transform: translate(60px, -15px);
        color: #fff;
        font-weight: bold;
        font-size: 19px;
        font-family: Montserrat, sans-serif;
        letter-spacing: normal;
        line-height: initial;
    }
}

#testimonies {
    background: #f9f9f9;
    font-family: Montserrat, Lato, sans-serif;
    text-align: center;
    padding: 40px 60px 0;

    .glide {
        padding-bottom: 40px;
    }

    .glide__slides {
        height: 100%;
        align-items: center;
    }

    .glide__slide {
        height: 100%;
    }

    p:first-child {
        position: relative;
        font-size: 2.5em;
        max-width: 1300px;
        margin: auto;

        @media (max-width: 980px) {
            font-size: 1.2em;
        }
    }

    p:last-child {
        font-size: 20px;
        font-weight: bold;

        @media (max-width: 980px) {
            font-size: 14px;
        }
    }
}

#brands {
    margin: 60px 0;
    max-width: 1080px;

    .row {
        display: flex;
        flex-flow: row wrap;
        justify-content: space-between;
        align-items: center;

        @media (max-width: 580px) {
            flex-flow: column nowrap;
        }
    }

    img {
        width: 25%;
        min-width: 100px;
        max-width: 250px;
        height: 250px;
        object-fit: contain;

        @media (max-width: 580px) {
            height: 100px;
        }
    }
}

#cta {
    padding: 60px 20px;
    background: var(--dark);
    color: #ffffff;

    h2 {
        font-size: 24px;
        margin-bottom: 30px;
    }

    form {
        display: flex;
        flex-flow: column nowrap;
        justify-content: flex-start;
        align-items: center;

        transition: opacity 400ms;
    }

    input {
        width: 275px;
        box-sizing: border-box;
        display: block;
        background: transparent;

        color: inherit;
        font-size: 16px;
        font-weight: 300;

        padding: 7px 18px;
        border: 1px solid var(--primary);
        border-radius: 3px;
        margin-bottom: 12px;

    }

    input[type="submit"] {
        width: 275px;
        cursor: pointer;
        padding: 10px 15px;
        border-width: 0;
        border-radius: 40px;
        color: #1d1e21;
        font-weight: bold;
        background: var(--primary);
        transition: background 400ms ease, color 400ms ease;

        &:hover {
            color: #ffffff;
            background: #323232;
        }
    }

    p {
        color: inherit;
        text-align: center;
    }

    .row {
        display: flex;
        flex-flow: column nowrap;
        justify-content: center;
        align-items: center;

        p {
            margin: 0;
        }

        @media (min-width: 980px) {
            flex-flow: row nowrap;

            p:not(:last-child) {
                &::after {
                    content: "|";
                    margin: 0 10px;
                    color: #777;
                }
            }
        }

    }

}

#overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: none;
    flex-flow: column nowrap;
    justify-content: center;
    align-items: center;
    background: #000c;

    .spinner {
        width: 100px;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%);
        z-index: -1;
    }

    form {
        position: relative;
        width: 100%;
        max-width: 720px;
        transition: opacity 400ms;
    }

    .close {
        position: absolute;
        top: 13px;
        right: 0;
        background: transparent;
        border: none;
        color: white;
        padding: 7px 15px;
        cursor: pointer;

        transition: background 200ms ease, color 200ms ease;

        background: var(--primary);
        color: var(--dark);
        border: 1px solid transparent;
        font-weight: bold;
        font-size: 18px;

        &:hover {
            color: #ffffff;
            background: #323232;
            border-color: #fff;
        }
    }

    textarea {
        font-size: 16px;
        width: 100%;
        box-sizing: border-box;
        min-height: 200px;
        margin-bottom: 20px;
        resize: none;
        padding: 10px;
    }
}

.error,
.success {
    background: var(--background, var(--primary));
    color: var(--dark);
    padding: 10px 10px;
    font-size: 18px;
    transition: opacity 400ms;
    opacity: 0;
}

.error {
    --background: #c13535;
}